package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProAddBean;
import com.wd.workoffice.bean.ProductBean;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class ProTargetAddAdapter extends BaseQuickAdapter<ProductBean.RecordsBean, BaseViewHolder> {
    int type;//0,add 1,submit

    public ProTargetAddAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public ProTargetAddAdapter(int layoutResId, @Nullable List<ProductBean.RecordsBean> data, int type) {
        super(layoutResId, data);
        this.type = type;
    }

    @Override
    protected void convert(BaseViewHolder helper, ProductBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getName());
        helper.setText(R.id.tv_in_price, String.valueOf(item.getInternalPrice()));
        helper.setText(R.id.tv_spec, item.getSpec());
        helper.setText(R.id.tv_num, item.getCarNum() +"");
        helper.setText(R.id.tv_price, item.getCarPrice() );
        if (type == 1) {
            helper.setVisible(R.id.iv_cart, false);
        }
    }
}

